MEMMEM(3)

NAME
memmem - locate a byte substring in a byte string

SYNOPSIS
#include <string.h>
void *
memmem(const void *big, size_t big_len, const void *little, size_t little_len);

DESCRIPTION
The memmem() function locates the first occurrence of the byte string little in the byte string big.

RETURN VALUES
If little is zero length, big is returned; if little occurs nowhere in big, NULL is returned; otherwise a pointer to the first character of the first occurrence of little is returned.

SEE ALSO
memchr(3), strchr(3), strstr(3)

STANDARDS
memmem() is a GNU extension.

HISTORY
The memmem() function first appeared in OpenBSD 5.4.

AUTHORS
Pascal Gloor <pascal.gloor@spale.com>